Subject: [drivers/net/bnx2.c] ADVERTISE_1000XPSE_ASYM

From: Roel Kluin <[email-masked]>
Date: Wed, 30 Jan 2008 15:07:44 +0100

In drivers/net/bnx2.c:1285: it reads in function bnx2_setup_remote_phy():

if (pause_adv & (ADVERTISE_1000XPSE_ASYM | ADVERTISE_1000XPSE_ASYM))

Note that the two are the same and this is therefore equivalent to

if (pause_adv & ADVERTISE_1000XPSE_ASYM)

This appears to be incorrect, was maybe '| ADVERTISE_1000XPAUSE' intended?